Module work		! For Householder reduction


integer n

logical simetric

integer lnit

real(8) EPS_lambda

real(8), allocatable :: A(:,:), A0(:,:)		! A~A1


real(8), allocatable :: t(:,:)
complex(8), allocatable:: t_z(:,:)

real(8), allocatable :: lambda(:)
complex(8), allocatable :: lambda_z(:)

integer, allocatable :: multiple(:), done(:)


real(8), allocatable :: y(:)
complex(8), allocatable :: y_z(:)

real(8), allocatable :: VEC(:,:)
complex(8), allocatable :: VEC_Z(:,:)

integer is		! for shift

real(8), allocatable :: tol(:)
integer, allocatable :: iter_refine(:)

real(8), allocatable :: v(:), p(:)

end Module work
